---
title: 'Location: protocol'
slug: Web/API/Location/protocol
tags:
  - API
  - Location
  - Property
  - Reference
---
<p>{{ApiRef("Location")}}</p>

<p>The <strong><code>protocol</code></strong> property of the {{domxref("Location")}} interface is a {{domxref("USVString")}} representing the protocol scheme of the URL, including the final <code>':'</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>string</em> = <em>object</em>.protocol;
<em>object</em>.protocol = <em>string</em>;
</pre>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">// Let's an &lt;a id="myAnchor" href="https://developer.mozilla.org/en-US/Location.protocol"&gt; element be in the document
var anchor = document.getElementById("myAnchor");
var result = anchor.protocol; // Returns:'https:'
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-location-protocol', 'protocol')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Location.protocol")}}</p>
